StarState Class Reference documentation

Classes | Public Member Functions | Public Attributes | List of all members
StarState Class Reference

class to store an state: ie. More...

`#include <StarState.hxx>`

## Classes
struct | GlobalState
| small struct use to store global data More...

## Public Member Functions
| StarState (StarItemPool const *pool, StarObject &object)
| constructor More...
| StarState (GlobalState const &global)
| constructor which create a copy of the global state More...
| StarState (std::shared_ptr< GlobalState > &global)
| constructor which share the global state More...
| ~StarState ()
| destructor More...
void | reinitializeLineData ()
| reinit the local data: break, font, content, footnote, ... More...
double | convertInPoint (double val) const
| return the relative units More...
STOFFVec2f | convertPointInPoint (STOFFVec2f const &val) const
| return the relative units More...
STOFFVec2f | convertVectorInPoint (STOFFVec2f const &val) const
| return the relative units More...

## Public Attributes
std::shared_ptr< GlobalState > | m_global
| global state More...
librevenge::RVNGString | m_styleName
| the style name More...
int | m_break
| a page/column break: 1=columnBefore, 2=columnAfter, 3=columnBoth, 4=pageBefore, 5=pageAfter,n 6=pageBoth More...
STOFFCellStyle | m_cell
| the cell style More...
STOFFFrameStyle | m_frame
| the frame style More...
STOFFGraphicStyle | m_graphic
| the graphic style More...
STOFFParagraph | m_paragraph
| the paragraph style More...
STOFFFont | m_font
| the font More...
bool | m_content
| flag to know if this is a content zone More...
bool | m_flyCnt
| flag to know if this is a flyCnt More...
bool | m_footnote
| flag to know if this is a footnote More...
bool | m_headerFooter
| flag to know if this is a header/footer More...
librevenge::RVNGString | m_link
| the link url More...
librevenge::RVNGString | m_refMark
| the ref mark More...
std::shared_ptr< SWFieldManagerInternal::Field > | m_field
| the field More...

## Detailed Description

class to store an state: ie.

the current page, section, ... style

## Constructor & Destructor Documentation

## ◆ StarState() [1/3]

StarState::StarState | ( | StarItemPool const * | pool,
|  | StarObject & | object
| ) |  |

constructor

## ◆ StarState() [2/3]

StarState::StarState | ( | StarState::GlobalState const & | global | ) |
| explicit

constructor which create a copy of the global state

## ◆ StarState() [3/3]

StarState::StarState | ( | std::shared_ptr< GlobalState > & | global | ) |
| inlineexplicit

constructor which share the global state

## ◆ ~StarState()

StarState::~StarState | ( |  | ) |

destructor

## Member Function Documentation

## ◆ convertInPoint()

double StarState::convertInPoint | ( | double | val | ) | const
| inline

return the relative units

Referenced by StarFrameAttribute::StarFAttributeBorder::addTo(), StarFrameAttribute::StarFAttributeShadow::addTo(), StarGraphicAttribute::StarGAttributeInt::addTo(), StarGraphicAttribute::StarGAttributeUInt::addTo(), StarGraphicAttribute::StarGAttributeCrop::addTo(), StarGraphicAttribute::StarGAttributeNamedDash::addTo(), and StarGraphicAttribute::StarGAttributeNamedHatch::addTo().

## ◆ convertPointInPoint()

STOFFVec2f StarState::convertPointInPoint | ( | STOFFVec2f const & | val | ) | const
| inline

return the relative units

Referenced by StarObjectSmallGraphicInternal::SdrGraphicGraph::send(), StarObjectSmallGraphicInternal::SdrGraphicOLE::send(), StarObjectSmallGraphicInternal::SdrGraphicRect::send(), StarObjectSmallGraphicInternal::SdrGraphicCircle::send(), StarObjectSmallGraphicInternal::SdrGraphicMeasure::send(), StarObjectSmallGraphicInternal::SdrGraphicPath::send(), and StarObjectSmallGraphicInternal::SdrGraphicText::sendTextZone().

## ◆ convertVectorInPoint()

STOFFVec2f StarState::convertVectorInPoint | ( | STOFFVec2f const & | val | ) | const
| inline

return the relative units

Referenced by StarObjectSmallGraphicInternal::SdrGraphic::getState(), StarObjectSmallGraphicInternal::SdrGraphicGraph::send(), StarObjectSmallGraphicInternal::SdrGraphicOLE::send(), StarObjectSmallGraphicInternal::SdrGraphicCircle::send(), and StarObjectSmallGraphicInternal::SdrGraphicText::sendTextZone().

## ◆ reinitializeLineData()

void StarState::reinitializeLineData | ( |  | ) |

reinit the local data: break, font, content, footnote, ...

Referenced by StarObjectTextInternal::TextZone::inventoryPage(), StarObjectSmallTextInternal::Paragraph::send(), and StarObjectTextInternal::TextZone::send().

## Member Data Documentation

## ◆ m_break

int StarState::m_break

a page/column break: 1=columnBefore, 2=columnAfter, 3=columnBoth, 4=pageBefore, 5=pageAfter,n 6=pageBoth

Referenced by StarFrameAttribute::StarFAttributeUInt::addTo(), StarObjectTextInternal::TextZone::inventoryPage(), StarObjectSmallTextInternal::Paragraph::send(), and StarObjectTextInternal::TextZone::send().

## ◆ m_cell

STOFFCellStyle StarState::m_cell

the cell style

Referenced by StarCellAttribute::StarCAttributeBool::addTo(), StarCellAttribute::StarCAttributeInt::addTo(), StarCellAttribute::StarCAttributeUInt::addTo(), StarCellAttribute::StarCAttributeMargins::addTo(), StarCellAttribute::StarCAttributeMerge::addTo(), StarCellAttribute::StarCAttributeProtection::addTo(), StarFrameAttribute::StarFAttributeBorder::addTo(), StarFrameAttribute::StarFAttributeBrush::addTo(), StarFrameAttribute::StarFAttributeShadow::addTo(), StarTableInternal::Table::send(), StarObjectSpreadsheet::sendCell(), and StarTableInternal::TableBox::updatePosition().

## ◆ m_content

bool StarState::m_content

flag to know if this is a content zone

Referenced by StarCharAttribute::StarCAttributeContent::addTo(), reinitializeLineData(), StarObjectSmallTextInternal::Paragraph::send(), StarObjectTextInternal::TextZone::send(), and StarFormatManagerInternal::FormatDef::send().

## ◆ m_field

std::shared_ptr<SWFieldManagerInternal::Field> StarState::m_field

the field

Referenced by StarCharAttribute::StarCAttributeField::addTo(), reinitializeLineData(), StarObjectSmallTextInternal::Paragraph::send(), and StarObjectTextInternal::TextZone::send().

## ◆ m_flyCnt

bool StarState::m_flyCnt

flag to know if this is a flyCnt

Referenced by StarCharAttribute::StarCAttributeFlyCnt::addTo(), reinitializeLineData(), StarObjectSmallTextInternal::Paragraph::send(), and StarObjectTextInternal::TextZone::send().

## ◆ m_font

STOFFFont StarState::m_font

the font

Referenced by StarCharAttribute::StarCAttributeBool::addTo(), StarCharAttribute::StarCAttributeColor::addTo(), StarCharAttribute::StarCAttributeInt::addTo(), StarCharAttribute::StarCAttributeUInt::addTo(), StarCharAttribute::StarCAttributeVoid::addTo(), StarCharAttribute::StarCAttributeEscapement::addTo(), StarCharAttribute::StarCAttributeFont::addTo(), StarCharAttribute::StarCAttributeFontSize::addTo(), StarCharAttribute::StarCAttributeCharFormat::addTo(), StarCharAttribute::StarCAttributeHardBlank::addTo(), StarFrameAttribute::StarFAttributeBrush::addTo(), StarGraphicAttribute::StarGAttributeNamedColor::addTo(), reinitializeLineData(), StarObjectSmallTextInternal::Paragraph::send(), StarObjectTextInternal::TextZone::send(), and StarObjectSpreadsheet::sendCell().

## ◆ m_footnote

bool StarState::m_footnote

flag to know if this is a footnote

Referenced by StarCharAttribute::StarCAttributeFootnote::addTo(), reinitializeLineData(), StarObjectSmallTextInternal::Paragraph::send(), and StarObjectTextInternal::TextZone::send().

## ◆ m_frame

STOFFFrameStyle StarState::m_frame

the frame style

Referenced by StarFrameAttribute::StarFAttributeBool::addTo(), StarFrameAttribute::StarFAttributeAnchor::addTo(), StarFrameAttribute::StarFAttributeBrush::addTo(), StarFrameAttribute::StarFAttributeFrameSize::addTo(), StarFrameAttribute::StarFAttributeLRSpace::addTo(), StarFrameAttribute::StarFAttributeOrientation::addTo(), StarFrameAttribute::StarFAttributeSurround::addTo(), StarItemPool::defineGraphicStyle(), StarObjectTextInternal::GraphZone::send(), StarObjectTextInternal::OLEZone::send(), StarObjectTextInternal::TextZone::send(), StarObjectTextInternal::Content::send(), StarObjectSmallGraphicInternal::SdrGraphicOLE::send(), StarTableInternal::Table::send(), StarObjectModel::sendObject(), StarTableInternal::TableBox::updatePosition(), and StarObjectSmallGraphicInternal::SdrGraphic::updateStyle().

## ◆ m_global

std::shared_ptr<GlobalState> StarState::m_global

global state

Referenced by StarCharAttribute::StarCAttributeFontSize::addTo(), StarCharAttribute::StarCAttributeCharFormat::addTo(), StarFrameAttribute::StarFAttributeFrameSize::addTo(), StarFrameAttribute::StarFAttributeLRSpace::addTo(), StarFrameAttribute::StarFAttributeULSpace::addTo(), StarGraphicAttribute::StarGAttributeNamedArrow::addTo(), StarPageAttribute::StarPAttributeBool::addTo(), StarPageAttribute::StarPAttributeUInt::addTo(), StarPageAttribute::StarPAttributeVec2i::addTo(), StarPageAttribute::StarPAttributeColumns::addTo(), StarPageAttribute::StarPAttributeFrameHF::addTo(), StarPageAttribute::StarPAttributePage::addTo(), StarPageAttribute::StarPAttributePageDesc::addTo(), StarPageAttribute::StarPAttributePageHF::addTo(), StarPageAttribute::StarPAttributeViewMode::addTo(), StarParagraphAttribute::StarPAttributeDrop::addTo(), StarParagraphAttribute::StarPAttributeLineSpacing::addTo(), StarParagraphAttribute::StarPAttributeNumericRuler::addTo(), StarParagraphAttribute::StarPAttributeTabStop::addTo(), StarPageAttribute::StarPAttributeItemSet::addTo(), StarAttributeItemSet::addTo(), convertInPoint(), convertPointInPoint(), convertVectorInPoint(), StarObjectSmallGraphicInternal::SdrGraphic::getState(), StarObjectTextInternal::TextZone::inventoryPage(), StarObjectTextInternal::Content::inventoryPages(), StarObjectSmallTextInternal::Paragraph::send(), SWFieldManagerInternal::Field::send(), StarObjectTextInternal::FormatZone::send(), StarObjectTextInternal::TextZone::send(), StarObjectTextInternal::Content::send(), StarCharAttribute::StarCAttributeFootnote::send(), StarObjectSmallGraphicInternal::SdrGraphicGroup::send(), StarObjectSmallGraphicInternal::SdrGraphicRect::send(), StarObjectSmallGraphicInternal::SdrGraphicCaption::send(), StarObjectSmallGraphicInternal::SdrGraphicCircle::send(), StarObjectSmallGraphicInternal::SdrGraphicEdge::send(), StarObjectSmallGraphicInternal::SdrGraphicMeasure::send(), StarObjectSmallGraphicInternal::SdrGraphicPath::send(), StarTableInternal::Table::send(), StarFormatManagerInternal::FormatDef::send(), StarTableInternal::TableBox::send(), StarObjectText::sendPages(), StarState(), StarObjectPageStyle::updatePageSpan(), StarObjectPageStyleInternal::PageDesc::updatePageSpan(), StarObjectPageStyle::updatePageSpans(), StarObjectSpreadsheet::updatePageSpans(), StarObjectText::updatePageSpans(), and StarObjectSmallGraphicInternal::SdrGraphicAttribute::updateStyle().

## ◆ m_graphic

STOFFGraphicStyle StarState::m_graphic

the graphic style

Referenced by StarFrameAttribute::StarFAttributeBorder::addTo(), StarFrameAttribute::StarFAttributeBrush::addTo(), StarFrameAttribute::StarFAttributeShadow::addTo(), StarGraphicAttribute::StarGAttributeBool::addTo(), StarGraphicAttribute::StarGAttributeInt::addTo(), StarGraphicAttribute::StarGAttributeUInt::addTo(), StarGraphicAttribute::StarGAttributeVoid::addTo(), StarGraphicAttribute::StarGAttributeCrop::addTo(), StarGraphicAttribute::StarGAttributeNamedArrow::addTo(), StarGraphicAttribute::StarGAttributeNamedBitmap::addTo(), StarGraphicAttribute::StarGAttributeNamedColor::addTo(), StarGraphicAttribute::StarGAttributeNamedDash::addTo(), StarGraphicAttribute::StarGAttributeNamedGradient::addTo(), StarGraphicAttribute::StarGAttributeNamedHatch::addTo(), StarItemPool::defineGraphicStyle(), StarObjectTextInternal::GraphZone::send(), StarObjectTextInternal::OLEZone::send(), StarObjectTextInternal::Content::send(), StarObjectSmallGraphicInternal::SdrGraphicGraph::send(), StarObjectSmallGraphicInternal::SdrGraphicOLE::send(), StarObjectSmallGraphicInternal::SdrGraphicRect::send(), StarObjectSmallGraphicInternal::SdrGraphicCaption::send(), StarObjectSmallGraphicInternal::SdrGraphicCircle::send(), StarObjectSmallGraphicInternal::SdrGraphicEdge::send(), StarObjectSmallGraphicInternal::SdrGraphicMeasure::send(), StarObjectSmallGraphicInternal::SdrGraphicPath::send(), StarObjectSmallGraphicInternal::SdrGraphicText::sendTextZone(), StarObjectSmallGraphicInternal::SdrGraphicAttribute::updateStyle(), and StarObjectSmallGraphicInternal::SdrGraphic::updateStyle().

## ◆ m_headerFooter

bool StarState::m_headerFooter

flag to know if this is a header/footer

Referenced by StarPageAttribute::SubDocument::parse(), and StarCharAttribute::StarCAttributeContent::send().

## ◆ m_link

librevenge::RVNGString StarState::m_link

the link url

Referenced by StarCharAttribute::StarCAttributeINetFmt::addTo(), reinitializeLineData(), StarObjectSmallTextInternal::Paragraph::send(), and StarObjectTextInternal::TextZone::send().

## ◆ m_paragraph

STOFFParagraph StarState::m_paragraph

the paragraph style

Referenced by StarFrameAttribute::StarFAttributeBorder::addTo(), StarFrameAttribute::StarFAttributeBrush::addTo(), StarFrameAttribute::StarFAttributeLineNumbering::addTo(), StarFrameAttribute::StarFAttributeLRSpace::addTo(), StarFrameAttribute::StarFAttributeULSpace::addTo(), StarParagraphAttribute::StarPAttributeBool::addTo(), StarParagraphAttribute::StarPAttributeUInt::addTo(), StarParagraphAttribute::StarPAttributeAdjust::addTo(), StarParagraphAttribute::StarPAttributeBulletNumeric::addTo(), StarParagraphAttribute::StarPAttributeBulletSimple::addTo(), StarParagraphAttribute::StarPAttributeDrop::addTo(), StarParagraphAttribute::StarPAttributeLineSpacing::addTo(), StarParagraphAttribute::StarPAttributeTabStop::addTo(), StarItemPool::defineParagraphStyle(), StarObjectSmallTextInternal::Paragraph::send(), and StarObjectTextInternal::TextZone::send().

## ◆ m_refMark

librevenge::RVNGString StarState::m_refMark

the ref mark

Referenced by StarCharAttribute::StarCAttributeRefMark::addTo(), reinitializeLineData(), StarObjectSmallTextInternal::Paragraph::send(), and StarObjectTextInternal::TextZone::send().

## ◆ m_styleName

librevenge::RVNGString StarState::m_styleName

the style name

Referenced by StarObjectTextInternal::TextZone::inventoryPage(), and StarObjectTextInternal::TextZone::send().

The documentation for this class was generated from the following files:

- StarState.hxx
- StarState.cxx